Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.da.controls
Interface DelegationServiceControl

    public interface DelegationServiceControl

Method Summary
`boolean` | `canDelegate(String roleTaxonomy, com.bea.portal.tools.common.ResourceContext context)` Determines if the DA role can delegate further and manage or not.
`boolean` | `getParentInheritanceFlag(com.bea.portal.tools.common.ResourceContext context)` Method used to determine if a role has implicitly granted the capabilities of a sub-role to its parent role
`com.bea.p13n.pagination.SortableFilterablePagedResult<String>` | `getResourceIdsOnRoot(String root, int pageSize, com.bea.portal.tools.common.ResourceContext context)` Returns all the resourceIds that the currently logged in user tests true for that contain the following root String.
`boolean` | `isAccessAllowed(String webApp, String resourceId, String capability, com.bea.portal.tools.common.ResourceContext context)` Runtime method used to determine if the currently logged in user will be allowed access to the particular resource.
`void` | `setParentInheritanceFlag(boolean flag, com.bea.portal.tools.common.ResourceContext context)` Method used to set whether a role has implicitly granted the capabilities of a sub-role to its parent role

Method Detail

### isAccessAllowed

    boolean isAccessAllowed(String webApp,
                            String resourceId,
                            String capability,
                            com.bea.portal.tools.common.ResourceContext context)

  Runtime method used to determine if the currently logged in user will be allowed access to the particular resource.

  Parameters
    `webApp` - Webapp of resource
    `resourceId` - The resource in question.
    `capability` - The capability granted for this resource.
    `context` - The resource context
  Returns
    `true` for grant and `false` for deny.

### getParentInheritanceFlag

    boolean getParentInheritanceFlag(com.bea.portal.tools.common.ResourceContext context)

  Method used to determine if a role has implicitly granted the capabilities of a sub-role to its parent role

  Parameters
    `context` - The resource context
  Returns
    `true` if set and `false` if not.

### setParentInheritanceFlag

    void setParentInheritanceFlag(boolean flag,
                                  com.bea.portal.tools.common.ResourceContext context)

  Method used to set whether a role has implicitly granted the capabilities of a sub-role to its parent role

  Parameters
    `flag` - The `boolean` value to set.
    `context` - The resource context

### getResourceIdsOnRoot

    com.bea.p13n.pagination.SortableFilterablePagedResult<String> getResourceIdsOnRoot(String root,
                                                                                       int pageSize,
                                                                                       com.bea.portal.tools.common.ResourceContext context)
                                                                                       throws com.bea.p13n.entitlements.common.PolicyRefException

  Returns all the resourceIds that the currently logged in user tests true for that contain the following root String.

  Parameters
    `root` - The root string to start from.
    `pageSize` - the number of results to return per page of the returned `PagedResult`.
    `context` - The resource context
  Returns
    an `ArrayList`
  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException`

### canDelegate

    boolean canDelegate(String roleTaxonomy,
                        com.bea.portal.tools.common.ResourceContext context)

  Determines if the DA role can delegate further and manage or not. If this privilege is GRANTed, the user can create and manage delegatees

  Parameters
    `roleTaxonomy` - Taxonomy of the role (with the complete lineage)
    `context` - The resource context
  Returns
    true if capability is GRANTed, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved